/* $NetBSD$ */

/*
 * System call names.
 *
 * DO NOT EDIT-- this file is automatically generated.
 * created from	NetBSD: syscalls.master,v 1.8 2009/01/13 22:27:43 pooka Exp
 */

#include <sys/cdefs.h>
__KERNEL_RCSID(0, "$NetBSD$");

#if defined(_KERNEL_OPT)
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/signal.h>
#include <sys/mount.h>
#include <sys/poll.h>
#include <sys/syscallargs.h>
#include <compat/mach/mach_types.h>
#include <compat/mach/arch/powerpc/fasttraps/mach_fasttraps_syscallargs.h>
#endif /* _KERNEL_OPT */

const char *const mach_fasttraps_syscallnames[] = {
	/*   0 */	"#0 (unimplemented)",
	/*   1 */	"cthread_set_self",
	/*   2 */	"cthread_self",
	/*   3 */	"processor_facilities_used",
	/*   4 */	"load_msr",
	/*   5 */	"#5 (unimplemented)",
	/*   6 */	"#6 (unimplemented)",
	/*   7 */	"#7 (unimplemented)",
	/*   8 */	"#8 (unimplemented)",
	/*   9 */	"#9 (unimplemented)",
	/*  10 */	"#10 (unimplemented special_bluebox)",
	/*  11 */	"#11 (unimplemented)",
	/*  12 */	"#12 (unimplemented)",
	/*  13 */	"#13 (unimplemented)",
	/*  14 */	"#14 (unimplemented)",
	/*  15 */	"#15 (unimplemented)",
};
